List all Payout Subaccounts
curl --request GET \
--url https://api.flutterwave.com/v3/payout-subaccounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.flutterwave.com/v3/payout-subaccounts"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.flutterwave.com/v3/payout-subaccounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Payout subaccounts fetched",
"data": [
{
"id": 2625,
"account_reference": "678RRDDDFFF567700000",
"account_name": "Dekunle Odus",
"barter_id": "234000002004539",
"email": "dev@flutterwavego.com",
"mobilenumber": "08060399351",
"country": "NG",
"nuban": "6222060346",
"bank_name": "Sterling Bank",
"bank_code": "232",
"status": "ACTIVE",
"created_at": "2023-05-17T10:30:00.000Z"
},
{
"id": 736,
"account_reference": "PSA0993DB6C214118068",
"account_name": "Ayomide DeveloperZ ",
"barter_id": "234000001714750",
"email": "ayomide+123@flutterwavego.com",
"mobilenumber": "09012903324",
"country": "US",
"nuban": "6222134233",
"bank_name": "Sterling Bank",
"bank_code": "232",
"status": "ACTIVE",
"created_at": "2022-03-15T11:35:18.000Z"
},
{
"id": 700,
"account_reference": "PSA15FAF664D63870782",
"account_name": "Aramide Smith",
"barter_id": "234000001708295",
"email": "arasmith676@yahoo.com",
"mobilenumber": "+1409340265",
"country": "NG",
"nuban": "6222126187",
"bank_name": "Sterling Bank",
"bank_code": "232",
"status": "ACTIVE",
"created_at": "2022-03-04T19:57:50.000Z"
},
{
"id": 1338,
"account_reference": "PSA473B98B92E2246208",
"account_name": "Cornelius Ashley-Osuzoka",
"barter_id": "234000001795142",
"email": "cornelius+123@flutterwavego.com",
"mobilenumber": "08109328188",
"country": "NG",
"nuban": "1352675881",
"bank_name": "HighStreet MFB bank",
"bank_code": "090175",
"status": "ACTIVE",
"created_at": "2022-07-21T14:04:06.000Z"
},
{
"id": 4190,
"account_reference": "PSA7472870CFA3073543",
"account_name": "Example User",
"barter_id": "234000002466747",
"email": "user@gmail.com",
"mobilenumber": "09010000000",
"country": "US",
"nuban": "6222125542",
"bank_name": "Sterling Bank",
"bank_code": "232",
"status": "ACTIVE",
"created_at": "2024-03-24T09:38:03.000Z"
},
{
"id": 1753,
"account_reference": "PSA88B1F0A78C0262783",
"account_name": "PHP Person",
"barter_id": "234000001862258",
"email": "cornelius@flutterwavego.com",
"mobilenumber": "+2348065007910",
"country": "NG",
"nuban": "1352702389",
"bank_name": "Test Bank",
"bank_code": "090175",
"status": "ACTIVE",
"created_at": "2022-11-07T14:11:02.000Z"
},
{
"id": 1750,
"account_reference": "PSAA888D98D4E7757810",
"account_name": "Jake Teddy",
"barter_id": "234000001860681",
"email": "jteddy@gmail.com",
"mobilenumber": "+2348065007000",
"country": "NG",
"nuban": "1352701877",
"bank_name": "Test Bank",
"bank_code": "090175",
"status": "ACTIVE",
"created_at": "2022-11-04T16:02:37.000Z"
},
{
"id": 701,
"account_reference": "PSAC33BFC23033921446",
"account_name": "Ayomide Jimi-Oni ",
"barter_id": "234000001708296",
"email": "ayomide@flutterwavego.com",
"mobilenumber": "09012903324",
"country": "NG",
"nuban": "6222126197",
"bank_name": "Sterling Bank",
"bank_code": "232",
"status": "ACTIVE",
"created_at": "2022-03-04T19:58:41.000Z"
},
{
"id": 3800,
"account_reference": "PSAD0EFA5A9212120652",
"account_name": "USD_Wallet",
"barter_id": "234000002403717",
"email": "tgchatikobo@gmail.com",
"mobilenumber": "0614762097",
"country": "NG",
"nuban": "6222110118",
"bank_name": "Sterling Bank",
"bank_code": "232",
"status": "ACTIVE",
"created_at": "2023-12-06T11:28:51.000Z"
},
{
"id": 1372,
"account_reference": "PSAE670D94E621190755",
"account_name": "Cornelius Ashley-Osuzoka",
"barter_id": "234000001798672",
"email": "cornelius+1234@flutterwavego.com",
"mobilenumber": "08109328188",
"country": "NG",
"nuban": "1352677207",
"bank_name": "HighStreet MFB bank",
"bank_code": "090175",
"status": "ACTIVE",
"created_at": "2022-07-26T13:13:10.000Z"
},
{
"id": 699,
"account_reference": "PSAFF2118D1A33844332",
"account_name": "Flutterwave Developers",
"barter_id": "234000001708294",
"email": "developers@flutterwavego.com",
"mobilenumber": "010101010",
"country": "NG",
"nuban": "6222126177",
"bank_name": "Sterling Bank",
"bank_code": "232",
"status": "ACTIVE",
"created_at": "2022-03-04T19:57:24.000Z"
}
]
}Payout Subaccounts
List all Payout Subaccounts
Fetch the details of all previously created payout subaccounts
GET
/
payout-subaccounts
List all Payout Subaccounts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Example:
"application/json"
Was this page helpful?
⌘I